---
title: Permissions
slug: Web/API/Permissions
tags:
  - API
  - Experimental
  - Interface
  - Permissions
  - Permissions API
  - Reference
---
<p>{{APIRef("Permissions API")}}{{SeeCompatTable}}</p>

<p>The Permissions interface of the <a href="Permissions_API">Permissions API</a> provides the core Permission API functionality, such as methods for querying and revoking permissions</p>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("Permissions.query","Permissions.query()")}}</dt>
 <dd>Returns the user permission status for a given API.</dd>
 <dt>{{domxref("Permissions.request","Permissions.request()")}}</dt>
 <dd>Requests permission to use a given API. This is not currently supported in any browser.</dd>
 <dt>{{domxref("Permissions.requestAll","Permissions.requestAll()")}}</dt>
 <dd>Requests permission to use a given set of APIs. This is not currently supported in any browser.</dd>
 <dt>{{domxref("Permissions.revoke","Permissions.revoke()")}}</dt>
 <dd>Revokes the permission currently set on a given API.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.permissions.query({name:'geolocation'}).then(function(result) {
  if (result.state === 'granted') {
    showLocalNewsWithGeolocation();
  } else if (result.state === 'prompt') {
    showButtonToEnableLocalNews();
  }
  // Don't do anything if the permission was denied.
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Permissions API","#permissions-interface", "Permissions")}}</td>
   <td>{{Spec2("Permissions API")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Support">Browser Support</h2>

<div>

<p>{{Compat("api.Permissions")}}</p>
</div>
